//Interface that constructs a queue
public interface IQueue<T>{
    
    //Adds an Object to the queue
    public IQueue<T> enQueue(T t);
    
    //Returns the element at the head of the list
    public T element();
    
    //Returns the resulting queue after the head of the list has 
    //been removed
    public IQueue<T> deQueue();
    
}
