//Interface that allows for a class to inspect a class R of type T
public interface Inspector<T, R> {

    //This method investigates and removes unwanted objects from
    //a type R.  It returns the resulting filtered list.
    public R inspectAndRemove(T first, R rest); 
    public R inspectAndRemove(R empty);
    
}

